# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only
"""
This file contains the exact signatures for all functions in module
PySide6.QtConcurrent, except for defaults which are replaced by "...".
"""

# mypy: disable-error-code="override, overload-overlap"
# Module `PySide6.QtConcurrent`

import PySide6.QtConcurrent
import PySide6.QtCore

import enum
from shiboken6 import Shiboken


class QFutureQString(Shiboken.Object): ...


class QFutureVoid(Shiboken.Object): ...


class QFutureWatcherQString(PySide6.QtCore.QObject): ...


class QFutureWatcherVoid(PySide6.QtCore.QObject): ...


class QIntList: ...


class QtConcurrent(Shiboken.Object):

    class FutureResult(enum.Enum):

        Ignore                    = 0x0

    class ReduceOption(enum.Flag):

        UnorderedReduce           = 0x1
        OrderedReduce             = 0x2
        SequentialReduce          = 0x4

    class ThreadFunctionResult(enum.Enum):

        ThrottleThread            = 0x0
        ThreadFinished            = 0x1


# eof
